RhinoBrep
- class compas_rhino.geometry.RhinoBrep[source]
Bases:
Brep
Rhino Brep backend class.
Wraps around and allows serialization and de-serialization of a
Rhino.Geometry.Brep
.- Attributes:
- native_brep
Rhino.Geometry.Brep
The underlying Rhino Brep instance.
- verticeslist[
compas_rhino.geometry.RhinoBrepVertex
], read-only The list of vertices which comprise this Brep.
- pointslist[
compas.geometry.Point
], read-only The list of vertex geometries as points in 3D space.
- edgeslist[
compas_rhino.geometry.RhinoBrepEdge
], read-only The list of edges which comprise this brep.
- trimslist[
compas_rhino.geometry.RhinoBrepTrim
], read-only The list of trims which comprise this brep.
- loopslist[
compas_rhino.geometry.RhinoBrepLoop
], read-only The list of loops which comprise this brep.
- faceslist[
compas_rhino.geometry.RhinoBrepFace
], read-only The list of faces which comprise this brep.
- frame
compas.geometry.Frame
, read-only The brep’s origin (Frame.worldXY()).
- areafloat, read-only
The calculated area of this brep.
- volumefloat, read-only
The calculated volume of this brep.
- native_brep
Methods
Check if the Brep contains a given geometric primitive.
Creates a deep-copy of this Brep using the native Rhino.Geometry.Brep copying mechanism.
Construct a Brep from the boolean difference of two groups of Breps.
Construct a Brep from the boolean intersection of two groups of Breps.
Construct a Brep from the boolean union of two groups of Breps.
Create a RhinoBrep from a box.
Create a RhinoBrep from a box.
Create a RhinoBrep from an extrusion.
Construct a Brep by lofting a set of curves.
Create a RhinoBrep from a mesh.
Constructs a RhinoBrep from an instance of a Rhino.Geometry.Brep.
Create a RhinoBrep from a sphere.
Slice through the Brep with a plane.
Splits a Brep into pieces using a Brep as a cutter.
Convert the faces of this Brep shape to meshes.
Transform this Brep by given transformation matrix
Trim this brep by the given trimming plane.
Returns a trimmed copy of this brep by the given trimming plane.
Inherited Methods
Converts the instance to a string.
Compute the axis-aligned bounding box of the geometry.
Compute the oriented bounding box of the geometry.
Generate contour lines by slicing the Brep shape with a series of planes.
Remove all unused edges.
Remove all unused faces.
Remove all unused loops.
Remove all unused vertices.
Identify the faces connected to a given edge.
Identify the parent loops of the a given edge.
Fillet the edges of the Brep.
Construct a filleted copy of the Brep.
Fix the shell.
Make a Brep from a list of Brep faces forming an open or closed shell.
Construct one compound Brep from a list of other Breps.
Construct a Brep from a COMPAS cone.
Construct a Brep from a set of curves.
Construct a Brep from the data contained in an IGES file.
Construct an object of this type from a JSON file.
Construct an object of this type from a JSON string.
Construct a Brep by extruding a closed curve along a path curve.
Construct a Brep from one plane and its u and v domains.
Construct a Brep from a set of planes.
Construct a Brep from a set of polygons.
Conctruct a Brep from the data contained in a STEP file.
Construct a BRep by sweeping a profile along a path.
Construct a Brep from a COMPAS torus.
Heal the shape.
Convert the current shape to a solid if it is a shell.
Compute the overlap between this BRep and another.
Rotate the geometry.
Returns a rotated copy of this geometry.
Scale the geometry.
Returns a scaled copy of this geometry.
Sew together the individual parts of the shape.
Compute a hash of the data for comparison during version control using the sha256 algorithm.
Write the Brep shape to an IGES file.
Convert an object to its native data representation and save it to a JSON file.
Convert an object to its native data representation and save it to a JSON string.
Convert the faces of this Brep shape to polygons.
Write the Brep shape to a STEP file.
Write the Brep shape to an STL file.
Create a tesselation of the shape for visualisation.
Convert this Brep to a view mesh.
Returns a transformed copy of this geometry.
Translate the geometry.
Returns a translated copy of this geometry.
Validate the data against the object's data schema.
Identify the edges connected to a given vertex.
Identify the faces connected to a vertex.
Identify the neighbouring vertices of a given vertex.